package cz.jzitnik;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Date;
import java.util.List;
import java.util.Scanner;

import com.garmin.fit.*;

class CustomFitListener implements MesgListener {
    private List<Mesg> messages = new ArrayList<>();

    @Override
    public void onMesg(Mesg mesg) {
        messages.add(mesg);
    }

    public void modifyData() {
        for (int i = 0; i < messages.size(); i++) {
            Mesg mesg = messages.get(i);
            if (mesg.getNum() == MesgNum.EVENT) {
                EventMesg eventMesg = new EventMesg(mesg);
                if (eventMesg.getEventType() == EventType.STOP_ALL) {
                    Scanner scanner = new Scanner(System.in);
                    System.out.print("Rok: ");
                    int year = Integer.parseInt(scanner.nextLine());

                    System.out.print("Měsíc: ");
                    int month = Integer.parseInt(scanner.nextLine()) - 1;

                    System.out.print("Den: ");
                    int day = Integer.parseInt(scanner.nextLine());

                    System.out.print("Hodina: ");
                    int hour = Integer.parseInt(scanner.nextLine());

                    System.out.print("Minuta: ");
                    int minute = Integer.parseInt(scanner.nextLine());

                    System.out.print("Sekunda: ");
                    int second = Integer.parseInt(scanner.nextLine());


                    Calendar calendar = Calendar.getInstance();
                    calendar.set(year, month, day, hour, minute, second);
                    Date date = calendar.getTime();
                    DateTime dateTime = new DateTime(date);
                    eventMesg.setTimestamp(dateTime);
                    messages.set(i, eventMesg);
                }
            }
        }
    }

    public List<Mesg> getMessages() {
        return messages;
    }
}
